import request from '@/utils/request'

// 获取列表数据
export function getList(data) {
  return request({
    url: '/bocom/register/findBySearch',
    method: 'post',
    data
  })
}

// 获取已准入未开户的企业
export function getEnterpriseCompany(params) {
  return request({
    url: '/bocomBasic/getCompany',
    method: 'get',
    params
  })
}

// 获取详情
export function getDetails(params) {
  return request({
    url: '/bocom/register/getDetail',
    method: 'get',
    params
  })
}

// 提交
export function submitData(data) {
  return request({
    url: '/bocom/register/add',
    method: 'post',
    data
  })
}

// 失败原因
export function getFailList(params) {
  return request({
    url: '/bocom/register/findReason',
    method: 'get',
    params
  })
}

// 重获取授权二维码
export function reGetAuthQrcode(params) {
  return request({
    url: '/bocom/register/resetUrlAuthorized',
    method: 'get',
    params
  })
}
